> ## Documentation Index
> Fetch the complete documentation index at: https://docs.engrate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Schedule Version

> Get a specific [Schedule Version](/api-reference/schedule-management/models/schedule-version) by version number. **Coming soon.**

Once available, this will return the schedule version identified by its 1-based version number, which increments with each re-submission for the same TSO + delivery date.

<Note>**Coming soon.**</Note>


## OpenAPI

````yaml /openapi.json get /schedule-management/v1/schedules/{uid}/versions/{version_number}
openapi: 3.1.0
info:
  title: Engrate API
  version: 1.0.0
servers:
  - url: https://api.engrate.io
security:
  - apiKeyAuth: []
paths:
  /schedule-management/v1/schedules/{uid}/versions/{version_number}:
    get:
      tags:
        - schedules
      summary: Get Schedule Version
      description: >-
        Get a specific [Schedule
        Version](/api-reference/schedule-management/models/schedule-version) by
        version number. **Coming soon.**


        Once available, this will return the schedule version identified by its
        1-based version number, which increments with each re-submission for the
        same TSO + delivery date.
      operationId: >-
        get_schedule_version_schedule_management_v1_schedules__uid__versions__version_number__get
      parameters:
        - description: Schedule unique identifier.
          in: path
          name: uid
          required: true
          schema:
            description: Schedule unique identifier.
            format: uuid
            title: Uid
            type: string
        - description: Version number (1-based).
          in: path
          name: version_number
          required: true
          schema:
            description: Version number (1-based).
            title: Version Number
            type: integer
      responses:
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
        '501':
          content:
            application/json:
              schema: {}
          description: Coming soon.
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    apiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````